/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Map.tsx
var Map_exports = {};
__export(Map_exports, {
  default: () => Map_default
});
module.exports = __toCommonJS(Map_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport2 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// src/Map.tsx
var Map = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ viewBox: "0 0 20 20" }, props), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8.94602 0.0469999L8.95102 0.0539999C9.29602 0.0179999 9.64602 0 10 0C15.522 0 20 4.477 20 10C20 15.523 15.522 20 10 20C8.47644 20.0015 6.97273 19.6542 5.60409 18.9848C4.23545 18.3154 3.03819 17.3416 2.10402 16.138H2.10102V16.135C0.735713 14.3817 -0.00386222 12.2222 1.51686e-05 10C1.51686e-05 4.838 3.91102 0.59 8.93202 0.056L8.94602 0.0469999ZM10 1.5L9.84002 1.501C9.96302 1.746 10.095 2.034 10.214 2.351C10.561 3.274 10.88 4.633 10.314 5.838C9.79202 6.951 8.89002 7.238 8.22402 7.411L8.14002 7.432C7.48302 7.602 7.23002 7.667 7.04702 7.946C6.87702 8.203 6.90302 8.528 7.10802 9.196L7.15402 9.344C7.23602 9.602 7.33401 9.914 7.38402 10.207C7.44802 10.571 7.46602 11.034 7.23202 11.482C7.03518 11.8813 6.7212 12.2109 6.33202 12.427C5.99101 12.612 5.63802 12.683 5.37402 12.729L5.28102 12.746C4.76602 12.836 4.52002 12.88 4.28102 13.136C4.09402 13.336 3.97401 13.689 3.90402 14.215C3.87502 14.429 3.85802 14.642 3.84002 14.861L3.83002 14.978C3.81002 15.22 3.78602 15.499 3.73102 15.738V15.74C4.52661 16.6109 5.49519 17.3063 6.57483 17.7815C7.65447 18.2567 8.8214 18.5015 10.001 18.5C11.577 18.5 13.054 18.07 14.32 17.322C14.2106 17.2108 14.1072 17.094 14.01 16.972C13.67 16.544 13.224 15.808 13.379 14.939C13.453 14.521 13.677 14.171 13.894 13.903C14.1158 13.6392 14.3564 13.3919 14.614 13.163L14.772 13.017C14.951 12.854 15.102 12.716 15.232 12.58C15.404 12.4 15.442 12.318 15.444 12.313C15.512 12.089 15.429 11.929 15.338 11.859C15.2833 11.8179 15.2164 11.7964 15.148 11.798C15.064 11.798 14.928 11.822 14.747 11.938C14.6247 12.0182 14.4849 12.0677 14.3394 12.0825C14.1939 12.0973 14.047 12.0769 13.911 12.023C13.7064 11.9356 13.5358 11.7839 13.425 11.591C13.281 11.354 13.2 11.045 13.147 10.819C13.107 10.645 13.067 10.447 13.032 10.266L12.992 10.06C12.9595 9.87719 12.9148 9.69678 12.858 9.52L12.838 9.483C12.8181 9.44714 12.7968 9.41212 12.774 9.378C12.7017 9.26999 12.626 9.16427 12.547 9.061L12.437 8.918C12.2568 8.6867 12.0847 8.44923 11.921 8.206C11.725 7.908 11.504 7.518 11.434 7.102C11.3894 6.85665 11.4083 6.60395 11.489 6.368C11.583 6.104 11.754 5.886 11.976 5.719C12.459 5.357 13.169 4.547 13.799 3.76C14.087 3.401 14.343 3.065 14.535 2.81C13.1783 1.9519 11.6054 1.49755 10 1.5Z",
    fill: "currentColor"
  }
));
var Map_default = Map;
//# sourceMappingURL=Map.js.map
