/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/SingleValueRadial.tsx
var SingleValueRadial_exports = {};
__export(SingleValueRadial_exports, {
  default: () => SingleValueRadial_default
});
module.exports = __toCommonJS(SingleValueRadial_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport2 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// src/SingleValueRadial.tsx
var SingleValueRadial = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ viewBox: "0 0 20 17" }, props), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M9.99967 2.50004C5.85754 2.50004 2.49967 5.85791 2.49967 10C2.49967 11.5437 2.96515 12.9762 3.76326 14.1678C4.04016 14.5812 4.35715 14.9657 4.70871 15.3156C5.03489 15.6403 5.03611 16.168 4.71143 16.4942C4.38674 16.8203 3.85911 16.8216 3.53292 16.4969C3.10383 16.0698 2.71677 15.6003 2.3785 15.0953C1.40234 13.6378 0.833008 11.8842 0.833008 10C0.833008 4.93743 4.93706 0.833374 9.99967 0.833374C15.0623 0.833374 19.1663 4.93743 19.1663 10C19.1663 11.8869 18.5953 13.643 17.6166 15.1017C17.2806 15.6024 16.8966 16.068 16.4713 16.492C16.1454 16.8169 15.6177 16.8161 15.2928 16.4902C14.9679 16.1642 14.9687 15.6366 15.2946 15.3117C15.6431 14.9643 15.9576 14.5829 16.2326 14.173C17.0328 12.9804 17.4997 11.546 17.4997 10C17.4997 5.85791 14.1418 2.50004 9.99967 2.50004Z",
    fill: "currentColor"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M12.2089 5.83998C12.6655 5.89744 12.9891 6.31419 12.9317 6.77083L12.8399 7.50004H13.333C13.7932 7.50004 14.1663 7.87314 14.1663 8.33337C14.1663 8.79361 13.7932 9.16671 13.333 9.16671H12.6302L12.4205 10.8334H13.333C13.7932 10.8334 14.1663 11.2065 14.1663 11.6667C14.1663 12.1269 13.7932 12.5 13.333 12.5H12.2108L12.0929 13.4375C12.0354 13.8941 11.6186 14.2177 11.162 14.1603C10.7054 14.1028 10.3818 13.6861 10.4392 13.2294L10.531 12.5H8.8612L8.74324 13.4375C8.68579 13.8941 8.26903 14.2177 7.8124 14.1603C7.35576 14.1028 7.03216 13.6861 7.08961 13.2294L7.18139 12.5H6.66634C6.2061 12.5 5.83301 12.1269 5.83301 11.6667C5.83301 11.2065 6.2061 10.8334 6.66634 10.8334H7.39109L7.6008 9.16671H6.66634C6.2061 9.16671 5.83301 8.79361 5.83301 8.33337C5.83301 7.87314 6.2061 7.50004 6.66634 7.50004H7.8105L7.92844 6.56276C7.98589 6.10613 8.40265 5.78253 8.85928 5.83998C9.31592 5.89744 9.63952 6.31419 9.58206 6.77083L9.49031 7.50004H11.1601L11.278 6.56276C11.3355 6.10613 11.7523 5.78253 12.2089 5.83998ZM9.0709 10.8334H10.7407L10.9504 9.16671H9.28061L9.0709 10.8334Z",
    fill: "currentColor"
  }
));
var SingleValueRadial_default = SingleValueRadial;
//# sourceMappingURL=SingleValueRadial.js.map
