/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/SingleValueRadialPresetIcons.tsx
var SingleValueRadialPresetIcons_exports = {};
__export(SingleValueRadialPresetIcons_exports, {
  default: () => SingleValueRadialPresetIcons_default
});
module.exports = __toCommonJS(SingleValueRadialPresetIcons_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// src/SingleValueRadialPresetIcons.tsx
var MajorValuePreset = () => /* @__PURE__ */ react_exports.createElement("svg", { width: "108", height: "64", viewBox: "0 0 108 64", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, /* @__PURE__ */ react_exports.createElement("rect", { x: "0.5", y: "0.5", width: "107", height: "63", rx: "2.5", fill: "#F2F4F5" }), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C8 49.3918 9.17229 43.3454 11.45 37.704C13.7276 32.0626 17.0661 26.9367 21.2746 22.619C25.4832 18.3013 30.4795 14.8762 35.9783 12.5395C41.4771 10.2028 47.3706 9.00005 53.3225 9.00005C59.2743 9.00005 65.1678 10.2028 70.6666 12.5395C76.1654 14.8762 81.1617 18.3013 85.3703 22.619C89.5788 26.9367 92.9173 32.0626 95.1949 37.704C97.4726 43.3454 98.6449 49.3918 98.6449 55.498L91.2637 55.498C91.2637 50.3863 90.2823 45.3246 88.3756 40.6019C86.4689 35.8793 83.6742 31.5882 80.151 27.9736C76.6278 24.3591 72.4452 21.4919 67.8419 19.5357C63.2387 17.5795 58.305 16.5727 53.3225 16.5727C48.3399 16.5727 43.4062 17.5795 38.803 19.5357C34.1997 21.4919 30.0171 24.3591 26.4939 27.9736C22.9707 31.5882 20.176 35.8793 18.2693 40.6019C16.3626 45.3246 15.3812 50.3863 15.3812 55.498L8 55.498Z",
    fill: "#C4CBD3",
    fillOpacity: "0.3"
  }
), /* @__PURE__ */ react_exports.createElement(
  "mask",
  {
    id: "path-3-outside-1_361:10973",
    maskUnits: "userSpaceOnUse",
    x: "6.99999",
    y: "7.99597",
    width: "61",
    height: "49",
    fill: "black"
  },
  /* @__PURE__ */ react_exports.createElement("rect", { fill: "white", x: "6.99999", y: "7.99597", width: "61", height: "49" }),
  /* @__PURE__ */ react_exports.createElement("path", { d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43885 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z" })
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43885 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z",
    fill: "#00A4FD"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43885 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z",
    stroke: "#F2F4F5",
    strokeWidth: "1.0449",
    mask: "url(#path-3-outside-1_361:10973)"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M91.7353 55.3797C80.5 59.5 74.7648 59.5 53.8305 59.5C32.8963 59.5 24 61 15.9258 55.3797C15.9258 33.8834 32.8963 16.4572 53.8305 16.4572C74.7648 16.4572 91.7353 33.8834 91.7353 55.3797Z",
    fill: "#F2F4F5"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M60.1005 50.4937C59.9157 50.6785 59.6162 50.6785 59.4315 50.4937C59.2468 50.309 59.2468 50.0095 59.4315 49.8248L62.1762 47.0801C62.4532 46.803 62.9025 46.803 63.1796 47.0801L65.9242 49.8248C66.109 50.0095 66.109 50.309 65.9242 50.4937C65.7395 50.6785 65.44 50.6785 65.2553 50.4937L63.1508 48.3892V53.9646C63.1508 54.2259 62.939 54.4377 62.6778 54.4377C62.4165 54.4377 62.2048 54.2259 62.2048 53.9646V48.3894L60.1005 50.4937Z",
    fill: "#C4CBD3"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M69.0006 54.9769V54.2503C69.0006 53.66 69.1066 53.168 69.3185 52.7745C69.538 52.3809 69.8331 52.0442 70.204 51.7641C70.5748 51.4765 70.9911 51.2154 71.4527 50.9808C71.9068 50.7462 72.2474 50.5267 72.4744 50.3224C72.7015 50.1105 72.815 49.8304 72.815 49.4823C72.815 49.2023 72.7242 48.9714 72.5426 48.7898C72.3685 48.6006 72.1112 48.506 71.7706 48.506C71.4452 48.506 71.1803 48.6006 70.9759 48.7898C70.7716 48.9714 70.6467 49.225 70.6013 49.5504H69.0801C69.0952 49.2628 69.1595 48.979 69.2731 48.699C69.3866 48.419 69.5531 48.1616 69.7726 47.927C69.992 47.6848 70.2759 47.4956 70.624 47.3594C70.9721 47.2156 71.3846 47.1437 71.8614 47.1437C72.6561 47.1437 73.2842 47.348 73.7459 47.7567C74.2151 48.1654 74.4498 48.7179 74.4498 49.4142C74.4498 50.0348 74.2492 50.5494 73.8481 50.9581C73.447 51.3592 72.8869 51.7414 72.1679 52.1047C71.7744 52.3015 71.4452 52.5134 71.1803 52.7404C70.9229 52.9675 70.7527 53.2589 70.6694 53.6146H74.4725V54.9769H69.0006ZM75.5919 52.7064H77.1131C77.1813 53.0697 77.3326 53.3346 77.5672 53.5011C77.8019 53.66 78.1046 53.7395 78.4754 53.7395C78.8841 53.7395 79.202 53.6524 79.429 53.4783C79.6637 53.3043 79.781 53.047 79.781 52.7064C79.781 52.3582 79.6599 52.0934 79.4177 51.9117C79.1831 51.7225 78.8501 51.6279 78.4187 51.6279H77.4651V50.4245H78.43C78.8084 50.4245 79.096 50.3375 79.2928 50.1634C79.4972 49.9818 79.5993 49.7396 79.5993 49.4369C79.5993 49.1493 79.4972 48.9222 79.2928 48.7557C79.096 48.5817 78.8274 48.4946 78.4868 48.4946C77.7754 48.4946 77.3667 48.8201 77.2607 49.4709H75.7736C75.7887 49.0925 75.8947 48.7255 76.0914 48.3698C76.2882 48.0141 76.5871 47.7227 76.9883 47.4956C77.3894 47.261 77.9078 47.1437 78.5435 47.1437C79.1187 47.1437 79.6031 47.2383 79.9967 47.4275C80.3902 47.6092 80.6892 47.8627 80.8935 48.1881C81.1054 48.506 81.2114 48.8655 81.2114 49.2666C81.2114 49.6753 81.1092 50.0234 80.9049 50.311C80.7081 50.5986 80.447 50.8181 80.1215 50.9695C80.5378 51.0981 80.8594 51.329 81.0865 51.662C81.3135 51.9874 81.4271 52.3696 81.4271 52.8086C81.4271 53.2627 81.306 53.66 81.0638 54.0006C80.8292 54.3411 80.4924 54.6098 80.0534 54.8066C79.6145 54.9958 79.0922 55.0904 78.4868 55.0904C77.8813 55.0904 77.3667 54.9882 76.9429 54.7839C76.519 54.572 76.1936 54.2844 75.9666 53.9211C75.7395 53.5578 75.6146 53.1529 75.5919 52.7064Z",
    fill: "#C4CBD3"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M40.99 49.7943C40.99 50.8462 40.7007 51.7753 40.1222 52.5817C39.5612 53.3706 38.7548 53.9929 37.703 54.4487C36.6687 54.9045 35.4415 55.1324 34.0216 55.1324C31.9004 55.1324 30.2087 54.6591 28.9465 53.7124C27.6843 52.7658 27.0532 51.4685 27.0532 49.8206C27.0532 48.8214 27.3161 47.9361 27.842 47.1648C28.368 46.3934 29.1305 45.8587 30.1298 45.5607C29.3409 45.2101 28.7186 44.7017 28.2628 44.0356C27.807 43.3694 27.5791 42.5717 27.5791 41.6426C27.5791 40.7486 27.8245 39.9334 28.3154 39.1971C28.8062 38.4433 29.5337 37.8473 30.4979 37.409C31.4621 36.9532 32.6367 36.7253 34.0216 36.7253C35.4591 36.7253 36.6512 36.9444 37.5978 37.3827C38.5445 37.8034 39.2544 38.3907 39.7278 39.1445C40.2186 39.8808 40.4641 40.7135 40.4641 41.6426C40.4641 42.5717 40.2362 43.3694 39.7804 44.0356C39.3246 44.7017 38.7022 45.2101 37.9134 45.5607C38.8951 45.8587 39.6489 46.3934 40.1748 47.1648C40.7182 47.9361 40.99 48.8126 40.99 49.7943ZM31.2079 41.9582C31.2079 42.6594 31.4533 43.2204 31.9442 43.6411C32.4526 44.0443 33.1538 44.2459 34.0479 44.2459C34.9244 44.2459 35.6081 44.0356 36.0989 43.6148C36.5898 43.1941 36.8352 42.6331 36.8352 41.9319C36.8352 41.2131 36.581 40.6522 36.0726 40.2489C35.5818 39.8457 34.8893 39.6441 33.9953 39.6441C33.1187 39.6441 32.4351 39.8545 31.9442 40.2752C31.4533 40.6784 31.2079 41.2394 31.2079 41.9582ZM30.7346 49.6629C30.7346 50.4693 31.0238 51.1004 31.6024 51.5562C32.1809 51.9944 32.9785 52.2136 33.9953 52.2136C35.0471 52.2136 35.8623 51.9944 36.4408 51.5562C37.0193 51.1179 37.3086 50.4868 37.3086 49.6629C37.3086 48.8389 37.0193 48.1991 36.4408 47.7433C35.8623 47.2875 35.0559 47.0596 34.0216 47.0596C33.0048 47.0596 32.1984 47.2875 31.6024 47.7433C31.0238 48.1991 30.7346 48.8389 30.7346 49.6629ZM49.8414 54.8694H46.2126V54.1069C46.2126 52.7921 46.2739 51.6175 46.3966 50.5832C46.5369 49.5314 46.756 48.5409 47.054 47.6118C47.3521 46.6651 47.7553 45.7185 48.2637 44.7718C48.772 43.8077 49.4031 42.7646 50.157 41.6426L51.1825 40.1438H42.6889V36.9883H55.1795V40.1701L53.3913 42.7996C52.7077 43.7989 52.1379 44.7368 51.6821 45.6133C51.2263 46.4723 50.8582 47.3313 50.5777 48.1903C50.3147 49.0493 50.1219 49.9521 49.9992 50.8988C49.894 51.8454 49.8414 52.9148 49.8414 54.1069V54.8694Z",
    fill: "#00A4FD"
  }
), /* @__PURE__ */ react_exports.createElement("rect", { x: "0.5", y: "0.5", width: "107", height: "63", rx: "2.5", stroke: "#C3CBD4" }));
var NonePreset = () => /* @__PURE__ */ react_exports.createElement("svg", { width: "108", height: "64", viewBox: "0 0 108 64", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, /* @__PURE__ */ react_exports.createElement("rect", { x: "0.5", y: "0.5", width: "107", height: "63", rx: "2.5", fill: "#F2F4F5" }), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8.47363 55.3796C8.47363 49.2734 9.64593 43.227 11.9236 37.5856C14.2013 31.9442 17.5397 26.8183 21.7483 22.5006C25.9569 18.1829 30.9532 14.7579 36.4519 12.4211C41.9507 10.0844 47.8443 8.88166 53.7961 8.88166C59.7479 8.88166 65.6415 10.0844 71.1402 12.4211C76.639 14.7579 81.6353 18.1829 85.8439 22.5006C90.0525 26.8183 93.3909 31.9442 95.6686 37.5856C97.9462 43.227 99.1185 49.2734 99.1185 55.3796L91.7374 55.3796C91.7373 50.2679 90.756 45.2062 88.8492 40.4836C86.9425 35.7609 84.1478 31.4698 80.6246 27.8553C77.1014 24.2407 72.9188 21.3735 68.3156 19.4173C63.7123 17.4611 58.7786 16.4543 53.7961 16.4543C48.8136 16.4543 43.8798 17.4611 39.2766 19.4173C34.6733 21.3735 30.4907 24.2407 26.9676 27.8553C23.4444 31.4698 20.6497 35.7609 18.7429 40.4835C16.8362 45.2062 15.8548 50.2679 15.8548 55.3796L8.47363 55.3796Z",
    fill: "#C4CBD3",
    fillOpacity: "0.3"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8.47363 55.3796C8.47363 48.1045 10.1376 40.9308 13.3317 34.4354C16.5259 27.9401 21.1611 22.3043 26.8646 17.9812C32.5681 13.6581 39.1808 10.7685 46.171 9.54447C53.1612 8.32048 60.3338 8.79637 67.1121 10.9339L53.7961 55.3796L8.47363 55.3796Z",
    fill: "#C4CBD3"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M7.95117 55.9021L7.95117 55.3797C7.95117 48.0249 9.6333 40.7724 12.8629 34.2049C16.0925 27.6374 20.7798 21.9377 26.549 17.5649C32.3182 13.192 39.0081 10.2683 46.0809 9.02986C53.1537 7.7914 60.4111 8.27296 67.2692 10.4356L67.7603 10.5905L54.1849 55.9021L7.95117 55.9021ZM8.47648 54.8572C8.55419 47.7613 10.2141 40.7752 13.3317 34.4354C16.5259 27.9401 21.161 22.3043 26.8646 17.9812C32.5681 13.6582 39.1808 10.7685 46.171 9.54448C53.1612 8.32049 60.3338 8.79638 67.1121 10.9339L53.7961 55.3796L8.47362 55.3797C8.47362 55.2054 8.47457 55.0313 8.47648 54.8572Z",
    fill: "#F2F4F5"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M91.7353 55.3797C70 55.3797 74.7648 55.3797 53.8305 55.3797C32.8963 55.3797 48.5 55.3797 15.9258 55.3797C15.9258 33.8834 32.8963 16.4572 53.8305 16.4572C74.7648 16.4572 91.7353 33.8834 91.7353 55.3797Z",
    fill: "#F2F4F5"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M60.1005 50.4937C59.9157 50.6785 59.6162 50.6785 59.4315 50.4937C59.2468 50.309 59.2468 50.0095 59.4315 49.8248L62.1762 47.0801C62.4532 46.803 62.9025 46.803 63.1796 47.0801L65.9242 49.8248C66.109 50.0095 66.109 50.309 65.9242 50.4937C65.7395 50.6785 65.44 50.6785 65.2553 50.4937L63.1508 48.3892V53.9646C63.1508 54.2259 62.939 54.4377 62.6778 54.4377C62.4165 54.4377 62.2048 54.2259 62.2048 53.9646V48.3894L60.1005 50.4937Z",
    fill: "#C4CBD3"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M69.0006 54.9769V54.2503C69.0006 53.66 69.1066 53.168 69.3185 52.7745C69.538 52.3809 69.8331 52.0442 70.204 51.7641C70.5748 51.4765 70.9911 51.2154 71.4527 50.9808C71.9068 50.7462 72.2474 50.5267 72.4744 50.3224C72.7015 50.1105 72.815 49.8304 72.815 49.4823C72.815 49.2023 72.7242 48.9714 72.5426 48.7898C72.3685 48.6006 72.1112 48.506 71.7706 48.506C71.4452 48.506 71.1803 48.6006 70.9759 48.7898C70.7716 48.9714 70.6467 49.225 70.6013 49.5504H69.0801C69.0952 49.2628 69.1595 48.979 69.2731 48.699C69.3866 48.419 69.5531 48.1616 69.7726 47.927C69.992 47.6848 70.2759 47.4956 70.624 47.3594C70.9721 47.2156 71.3846 47.1437 71.8614 47.1437C72.6561 47.1437 73.2842 47.348 73.7459 47.7567C74.2151 48.1654 74.4498 48.7179 74.4498 49.4142C74.4498 50.0348 74.2492 50.5494 73.8481 50.9581C73.447 51.3592 72.8869 51.7414 72.1679 52.1047C71.7744 52.3015 71.4452 52.5134 71.1803 52.7404C70.9229 52.9675 70.7527 53.2589 70.6694 53.6146H74.4725V54.9769H69.0006ZM75.5919 52.7064H77.1131C77.1813 53.0697 77.3326 53.3346 77.5672 53.5011C77.8019 53.66 78.1046 53.7395 78.4754 53.7395C78.8841 53.7395 79.202 53.6524 79.429 53.4783C79.6637 53.3043 79.781 53.047 79.781 52.7064C79.781 52.3582 79.6599 52.0934 79.4177 51.9117C79.1831 51.7225 78.8501 51.6279 78.4187 51.6279H77.4651V50.4245H78.43C78.8084 50.4245 79.096 50.3375 79.2928 50.1634C79.4972 49.9818 79.5993 49.7396 79.5993 49.4369C79.5993 49.1493 79.4972 48.9222 79.2928 48.7557C79.096 48.5817 78.8274 48.4946 78.4868 48.4946C77.7754 48.4946 77.3667 48.8201 77.2607 49.4709H75.7736C75.7887 49.0925 75.8947 48.7255 76.0914 48.3698C76.2882 48.0141 76.5871 47.7227 76.9883 47.4956C77.3894 47.261 77.9078 47.1437 78.5435 47.1437C79.1187 47.1437 79.6031 47.2383 79.9967 47.4275C80.3902 47.6092 80.6892 47.8627 80.8935 48.1881C81.1054 48.506 81.2114 48.8655 81.2114 49.2666C81.2114 49.6753 81.1092 50.0234 80.9049 50.311C80.7081 50.5986 80.447 50.8181 80.1215 50.9695C80.5378 51.0981 80.8594 51.329 81.0865 51.662C81.3135 51.9874 81.4271 52.3696 81.4271 52.8086C81.4271 53.2627 81.306 53.66 81.0638 54.0006C80.8292 54.3411 80.4924 54.6098 80.0534 54.8066C79.6145 54.9958 79.0922 55.0904 78.4868 55.0904C77.8813 55.0904 77.3667 54.9882 76.9429 54.7839C76.519 54.572 76.1936 54.2844 75.9666 53.9211C75.7395 53.5578 75.6146 53.1529 75.5919 52.7064Z",
    fill: "#C4CBD3"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M40.99 49.7943C40.99 50.8462 40.7007 51.7753 40.1222 52.5817C39.5612 53.3706 38.7548 53.9929 37.703 54.4487C36.6687 54.9045 35.4415 55.1324 34.0216 55.1324C31.9004 55.1324 30.2087 54.6591 28.9465 53.7124C27.6843 52.7658 27.0532 51.4685 27.0532 49.8206C27.0532 48.8214 27.3161 47.9361 27.842 47.1648C28.368 46.3934 29.1305 45.8587 30.1298 45.5607C29.3409 45.2101 28.7186 44.7017 28.2628 44.0356C27.807 43.3694 27.5791 42.5717 27.5791 41.6426C27.5791 40.7486 27.8245 39.9334 28.3154 39.1971C28.8062 38.4433 29.5337 37.8473 30.4979 37.409C31.4621 36.9532 32.6367 36.7253 34.0216 36.7253C35.4591 36.7253 36.6512 36.9444 37.5978 37.3827C38.5445 37.8034 39.2544 38.3907 39.7278 39.1445C40.2186 39.8808 40.4641 40.7135 40.4641 41.6426C40.4641 42.5717 40.2362 43.3694 39.7804 44.0356C39.3246 44.7017 38.7022 45.2101 37.9134 45.5607C38.8951 45.8587 39.6489 46.3934 40.1748 47.1648C40.7182 47.9361 40.99 48.8126 40.99 49.7943ZM31.2079 41.9582C31.2079 42.6594 31.4533 43.2204 31.9442 43.6411C32.4526 44.0443 33.1538 44.2459 34.0479 44.2459C34.9244 44.2459 35.6081 44.0356 36.0989 43.6148C36.5898 43.1941 36.8352 42.6331 36.8352 41.9319C36.8352 41.2131 36.581 40.6522 36.0726 40.2489C35.5818 39.8457 34.8893 39.6441 33.9953 39.6441C33.1187 39.6441 32.4351 39.8545 31.9442 40.2752C31.4533 40.6784 31.2079 41.2394 31.2079 41.9582ZM30.7346 49.6629C30.7346 50.4693 31.0238 51.1004 31.6024 51.5562C32.1809 51.9944 32.9785 52.2136 33.9953 52.2136C35.0471 52.2136 35.8623 51.9944 36.4408 51.5562C37.0193 51.1179 37.3086 50.4868 37.3086 49.6629C37.3086 48.8389 37.0193 48.1991 36.4408 47.7433C35.8623 47.2875 35.0559 47.0596 34.0216 47.0596C33.0048 47.0596 32.1984 47.2875 31.6024 47.7433C31.0238 48.1991 30.7346 48.8389 30.7346 49.6629ZM49.8414 54.8694H46.2126V54.1069C46.2126 52.7921 46.2739 51.6175 46.3966 50.5832C46.5369 49.5314 46.756 48.5409 47.054 47.6118C47.3521 46.6651 47.7553 45.7185 48.2637 44.7718C48.772 43.8077 49.4031 42.7646 50.157 41.6426L51.1825 40.1438H42.6889V36.9883H55.1795V40.1701L53.3913 42.7996C52.7077 43.7989 52.1379 44.7368 51.6821 45.6133C51.2263 46.4723 50.8582 47.3313 50.5777 48.1903C50.3147 49.0493 50.1219 49.9521 49.9992 50.8988C49.894 51.8454 49.8414 52.9148 49.8414 54.1069V54.8694Z",
    fill: "#C4CBD3"
  }
), /* @__PURE__ */ react_exports.createElement("rect", { x: "0.5", y: "0.5", width: "107", height: "63", rx: "2.5", stroke: "#C3CBD4" }));
var TrendPreset = () => /* @__PURE__ */ react_exports.createElement("svg", { width: "108", height: "64", viewBox: "0 0 108 64", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, /* @__PURE__ */ react_exports.createElement("rect", { x: "0.5", y: "0.5", width: "107", height: "63", rx: "2.5", fill: "#F2F4F5" }), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C8 49.3918 9.17229 43.3454 11.45 37.704C13.7276 32.0626 17.0661 26.9367 21.2746 22.619C25.4832 18.3013 30.4795 14.8762 35.9783 12.5395C41.4771 10.2028 47.3706 9.00005 53.3225 9.00005C59.2743 9.00005 65.1678 10.2028 70.6666 12.5395C76.1654 14.8762 81.1617 18.3013 85.3703 22.619C89.5788 26.9367 92.9173 32.0626 95.1949 37.704C97.4726 43.3454 98.6449 49.3918 98.6449 55.498L91.2637 55.498C91.2637 50.3863 90.2823 45.3246 88.3756 40.6019C86.4689 35.8793 83.6741 31.5882 80.151 27.9736C76.6278 24.3591 72.4452 21.4919 67.8419 19.5357C63.2387 17.5795 58.305 16.5727 53.3225 16.5727C48.3399 16.5727 43.4062 17.5795 38.803 19.5357C34.1997 21.4919 30.0171 24.3591 26.4939 27.9736C22.9707 31.5882 20.176 35.8793 18.2693 40.6019C16.3626 45.3246 15.3812 50.3863 15.3812 55.498L8 55.498Z",
    fill: "#C4CBD3",
    fillOpacity: "0.3"
  }
), /* @__PURE__ */ react_exports.createElement(
  "mask",
  {
    id: "path-3-outside-1_360:10760",
    maskUnits: "userSpaceOnUse",
    x: "6.99999",
    y: "7.99597",
    width: "61",
    height: "49",
    fill: "black"
  },
  /* @__PURE__ */ react_exports.createElement("rect", { fill: "white", x: "6.99999", y: "7.99597", width: "61", height: "49" }),
  /* @__PURE__ */ react_exports.createElement("path", { d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43886 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z" })
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43886 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z",
    fill: "#C4CBD3"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43886 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z",
    stroke: "#F2F4F5",
    strokeWidth: "1.0449",
    mask: "url(#path-3-outside-1_360:10760)"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M83.3698 58C85.6309 57.2371 88.3179 56.3663 91.7353 55.3797C91.7353 33.8834 74.7648 16.4572 53.8305 16.4572C32.8963 16.4572 15.9258 33.8834 15.9258 55.3797C19.3968 56.3473 22.2095 57.2219 24.6798 58H83.3698ZM68.1872 62H41.9984C45.4262 62.3311 49.5589 62.5 55 62.5C60.8904 62.5 64.9703 62.3417 68.1872 62Z",
    fill: "#F2F4F5"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M60.1005 50.4937C59.9157 50.6785 59.6162 50.6785 59.4315 50.4937C59.2468 50.309 59.2468 50.0095 59.4315 49.8248L62.1762 47.0801C62.4532 46.803 62.9025 46.803 63.1796 47.0801L65.9242 49.8248C66.109 50.0095 66.109 50.309 65.9242 50.4937C65.7395 50.6785 65.44 50.6785 65.2553 50.4937L63.1508 48.3892V53.9646C63.1508 54.2259 62.939 54.4377 62.6778 54.4377C62.4165 54.4377 62.2048 54.2259 62.2048 53.9646V48.3894L60.1005 50.4937Z",
    fill: "#53A051"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M69.0006 54.9769V54.2503C69.0006 53.66 69.1066 53.168 69.3185 52.7745C69.538 52.3809 69.8331 52.0442 70.204 51.7641C70.5748 51.4765 70.9911 51.2154 71.4527 50.9808C71.9068 50.7462 72.2474 50.5267 72.4744 50.3224C72.7015 50.1105 72.815 49.8304 72.815 49.4823C72.815 49.2023 72.7242 48.9714 72.5426 48.7898C72.3685 48.6006 72.1112 48.506 71.7706 48.506C71.4452 48.506 71.1803 48.6006 70.9759 48.7898C70.7716 48.9714 70.6467 49.225 70.6013 49.5504H69.0801C69.0952 49.2628 69.1595 48.979 69.2731 48.699C69.3866 48.419 69.5531 48.1616 69.7726 47.927C69.992 47.6848 70.2759 47.4956 70.624 47.3594C70.9721 47.2156 71.3846 47.1437 71.8614 47.1437C72.6561 47.1437 73.2842 47.348 73.7459 47.7567C74.2151 48.1654 74.4498 48.7179 74.4498 49.4142C74.4498 50.0348 74.2492 50.5494 73.8481 50.9581C73.447 51.3592 72.8869 51.7414 72.1679 52.1047C71.7744 52.3015 71.4452 52.5134 71.1803 52.7404C70.9229 52.9675 70.7527 53.2589 70.6694 53.6146H74.4725V54.9769H69.0006ZM75.5919 52.7064H77.1131C77.1813 53.0697 77.3326 53.3346 77.5672 53.5011C77.8019 53.66 78.1046 53.7395 78.4754 53.7395C78.8841 53.7395 79.202 53.6524 79.429 53.4783C79.6637 53.3043 79.781 53.047 79.781 52.7064C79.781 52.3582 79.6599 52.0934 79.4177 51.9117C79.1831 51.7225 78.8501 51.6279 78.4187 51.6279H77.4651V50.4245H78.43C78.8084 50.4245 79.096 50.3375 79.2928 50.1634C79.4972 49.9818 79.5993 49.7396 79.5993 49.4369C79.5993 49.1493 79.4972 48.9222 79.2928 48.7557C79.096 48.5817 78.8274 48.4946 78.4868 48.4946C77.7754 48.4946 77.3667 48.8201 77.2607 49.4709H75.7736C75.7887 49.0925 75.8947 48.7255 76.0914 48.3698C76.2882 48.0141 76.5871 47.7227 76.9883 47.4956C77.3894 47.261 77.9078 47.1437 78.5435 47.1437C79.1187 47.1437 79.6031 47.2383 79.9967 47.4275C80.3902 47.6092 80.6892 47.8627 80.8935 48.1881C81.1054 48.506 81.2114 48.8655 81.2114 49.2666C81.2114 49.6753 81.1092 50.0234 80.9049 50.311C80.7081 50.5986 80.447 50.8181 80.1215 50.9695C80.5378 51.0981 80.8594 51.329 81.0865 51.662C81.3135 51.9874 81.4271 52.3696 81.4271 52.8086C81.4271 53.2627 81.306 53.66 81.0638 54.0006C80.8292 54.3411 80.4924 54.6098 80.0534 54.8066C79.6145 54.9958 79.0922 55.0904 78.4868 55.0904C77.8813 55.0904 77.3667 54.9882 76.9429 54.7839C76.519 54.572 76.1936 54.2844 75.9666 53.9211C75.7395 53.5578 75.6146 53.1529 75.5919 52.7064Z",
    fill: "#53A051"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M40.99 49.7943C40.99 50.8462 40.7007 51.7753 40.1222 52.5817C39.5612 53.3706 38.7548 53.9929 37.703 54.4487C36.6687 54.9045 35.4415 55.1324 34.0216 55.1324C31.9004 55.1324 30.2087 54.6591 28.9465 53.7124C27.6843 52.7658 27.0532 51.4685 27.0532 49.8206C27.0532 48.8214 27.3161 47.9361 27.842 47.1648C28.368 46.3934 29.1305 45.8587 30.1298 45.5607C29.3409 45.2101 28.7186 44.7017 28.2628 44.0356C27.807 43.3694 27.5791 42.5717 27.5791 41.6426C27.5791 40.7486 27.8245 39.9334 28.3154 39.1971C28.8062 38.4433 29.5337 37.8473 30.4979 37.409C31.4621 36.9532 32.6367 36.7253 34.0216 36.7253C35.4591 36.7253 36.6512 36.9444 37.5978 37.3827C38.5445 37.8034 39.2544 38.3907 39.7278 39.1445C40.2186 39.8808 40.4641 40.7135 40.4641 41.6426C40.4641 42.5717 40.2362 43.3694 39.7804 44.0356C39.3246 44.7017 38.7022 45.2101 37.9134 45.5607C38.8951 45.8587 39.6489 46.3934 40.1748 47.1648C40.7182 47.9361 40.99 48.8126 40.99 49.7943ZM31.2079 41.9582C31.2079 42.6594 31.4533 43.2204 31.9442 43.6411C32.4526 44.0443 33.1538 44.2459 34.0479 44.2459C34.9244 44.2459 35.6081 44.0356 36.0989 43.6148C36.5898 43.1941 36.8352 42.6331 36.8352 41.9319C36.8352 41.2131 36.581 40.6522 36.0726 40.2489C35.5818 39.8457 34.8893 39.6441 33.9953 39.6441C33.1187 39.6441 32.4351 39.8545 31.9442 40.2752C31.4533 40.6784 31.2079 41.2394 31.2079 41.9582ZM30.7346 49.6629C30.7346 50.4693 31.0238 51.1004 31.6024 51.5562C32.1809 51.9944 32.9785 52.2136 33.9953 52.2136C35.0471 52.2136 35.8623 51.9944 36.4408 51.5562C37.0193 51.1179 37.3086 50.4868 37.3086 49.6629C37.3086 48.8389 37.0193 48.1991 36.4408 47.7433C35.8623 47.2875 35.0559 47.0596 34.0216 47.0596C33.0048 47.0596 32.1984 47.2875 31.6024 47.7433C31.0238 48.1991 30.7346 48.8389 30.7346 49.6629ZM49.8414 54.8694H46.2126V54.1069C46.2126 52.7921 46.2739 51.6175 46.3966 50.5832C46.5369 49.5314 46.756 48.5409 47.054 47.6118C47.3521 46.6651 47.7553 45.7185 48.2637 44.7718C48.772 43.8077 49.4031 42.7646 50.157 41.6426L51.1825 40.1438H42.6889V36.9883H55.1795V40.1701L53.3913 42.7996C52.7077 43.7989 52.1379 44.7368 51.6821 45.6133C51.2263 46.4723 50.8582 47.3313 50.5777 48.1903C50.3147 49.0493 50.1219 49.9521 49.9992 50.8988C49.894 51.8454 49.8414 52.9148 49.8414 54.1069V54.8694Z",
    fill: "#C4CBD3"
  }
), /* @__PURE__ */ react_exports.createElement("rect", { x: "0.5", y: "0.5", width: "107", height: "63", rx: "2.5", stroke: "#C3CBD4" }));
var BackgroundPreset = () => /* @__PURE__ */ react_exports.createElement("svg", { width: "108", height: "64", viewBox: "0 0 108 64", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, /* @__PURE__ */ react_exports.createElement("rect", { x: "0.5", y: "0.5", width: "107", height: "63", rx: "2.5", fill: "#00A4FD" }), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C8 49.3918 9.17229 43.3454 11.45 37.704C13.7276 32.0626 17.0661 26.9367 21.2746 22.619C25.4832 18.3013 30.4795 14.8762 35.9783 12.5395C41.4771 10.2028 47.3706 9.00005 53.3225 9.00005C59.2743 9.00005 65.1678 10.2028 70.6666 12.5395C76.1654 14.8762 81.1617 18.3013 85.3703 22.619C89.5788 26.9367 92.9173 32.0626 95.1949 37.704C97.4726 43.3454 98.6449 49.3918 98.6449 55.498L91.2637 55.498C91.2637 50.3863 90.2823 45.3246 88.3756 40.6019C86.4689 35.8793 83.6741 31.5882 80.151 27.9736C76.6278 24.3591 72.4452 21.4919 67.8419 19.5357C63.2387 17.5795 58.305 16.5727 53.3225 16.5727C48.3399 16.5727 43.4062 17.5795 38.803 19.5357C34.1997 21.4919 30.0171 24.3591 26.4939 27.9736C22.9707 31.5882 20.176 35.8793 18.2693 40.6019C16.3626 45.3246 15.3812 50.3863 15.3812 55.498L8 55.498Z",
    fill: "white",
    fillOpacity: "0.3"
  }
), /* @__PURE__ */ react_exports.createElement(
  "mask",
  {
    id: "path-3-outside-1_360:10389",
    maskUnits: "userSpaceOnUse",
    x: "6.99999",
    y: "7.99597",
    width: "61",
    height: "49",
    fill: "black"
  },
  /* @__PURE__ */ react_exports.createElement("rect", { fill: "white", x: "6.99999", y: "7.99597", width: "61", height: "49" }),
  /* @__PURE__ */ react_exports.createElement("path", { d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43886 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z" })
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43886 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z",
    fill: "white"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43886 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z",
    stroke: "#00A4FD",
    strokeWidth: "1.0449",
    mask: "url(#path-3-outside-1_360:10389)"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M91.7031 57C91.7245 56.4626 91.7353 55.9224 91.7353 55.3797C91.7353 33.8834 74.7648 16.4572 53.8305 16.4572C32.8963 16.4572 15.9258 33.8834 15.9258 55.3797C15.9258 55.9224 15.9366 56.4626 15.958 57H91.7031Z",
    fill: "#00A4FD"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M60.1005 50.4937C59.9157 50.6785 59.6162 50.6785 59.4315 50.4937C59.2468 50.309 59.2468 50.0095 59.4315 49.8248L62.1762 47.0801C62.4532 46.803 62.9025 46.803 63.1796 47.0801L65.9242 49.8248C66.109 50.0095 66.109 50.309 65.9242 50.4937C65.7395 50.6785 65.44 50.6785 65.2553 50.4937L63.1508 48.3892V53.9646C63.1508 54.2259 62.939 54.4377 62.6778 54.4377C62.4165 54.4377 62.2048 54.2259 62.2048 53.9646V48.3894L60.1005 50.4937Z",
    fill: "white"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M69.0006 54.9769V54.2503C69.0006 53.66 69.1066 53.168 69.3185 52.7745C69.538 52.3809 69.8331 52.0442 70.204 51.7641C70.5748 51.4765 70.9911 51.2154 71.4527 50.9808C71.9068 50.7462 72.2474 50.5267 72.4744 50.3224C72.7015 50.1105 72.815 49.8304 72.815 49.4823C72.815 49.2023 72.7242 48.9714 72.5426 48.7898C72.3685 48.6006 72.1112 48.506 71.7706 48.506C71.4452 48.506 71.1803 48.6006 70.9759 48.7898C70.7716 48.9714 70.6467 49.225 70.6013 49.5504H69.0801C69.0952 49.2628 69.1595 48.979 69.2731 48.699C69.3866 48.419 69.5531 48.1616 69.7726 47.927C69.992 47.6848 70.2759 47.4956 70.624 47.3594C70.9721 47.2156 71.3846 47.1437 71.8614 47.1437C72.6561 47.1437 73.2842 47.348 73.7459 47.7567C74.2151 48.1654 74.4498 48.7179 74.4498 49.4142C74.4498 50.0348 74.2492 50.5494 73.8481 50.9581C73.447 51.3592 72.8869 51.7414 72.1679 52.1047C71.7744 52.3015 71.4452 52.5134 71.1803 52.7404C70.9229 52.9675 70.7527 53.2589 70.6694 53.6146H74.4725V54.9769H69.0006ZM75.5919 52.7064H77.1131C77.1813 53.0697 77.3326 53.3346 77.5672 53.5011C77.8019 53.66 78.1046 53.7395 78.4754 53.7395C78.8841 53.7395 79.202 53.6524 79.429 53.4783C79.6637 53.3043 79.781 53.047 79.781 52.7064C79.781 52.3582 79.6599 52.0934 79.4177 51.9117C79.1831 51.7225 78.8501 51.6279 78.4187 51.6279H77.4651V50.4245H78.43C78.8084 50.4245 79.096 50.3375 79.2928 50.1634C79.4972 49.9818 79.5993 49.7396 79.5993 49.4369C79.5993 49.1493 79.4972 48.9222 79.2928 48.7557C79.096 48.5817 78.8274 48.4946 78.4868 48.4946C77.7754 48.4946 77.3667 48.8201 77.2607 49.4709H75.7736C75.7887 49.0925 75.8947 48.7255 76.0914 48.3698C76.2882 48.0141 76.5871 47.7227 76.9883 47.4956C77.3894 47.261 77.9078 47.1437 78.5435 47.1437C79.1187 47.1437 79.6031 47.2383 79.9967 47.4275C80.3902 47.6092 80.6892 47.8627 80.8935 48.1881C81.1054 48.506 81.2114 48.8655 81.2114 49.2666C81.2114 49.6753 81.1092 50.0234 80.9049 50.311C80.7081 50.5986 80.447 50.8181 80.1215 50.9695C80.5378 51.0981 80.8594 51.329 81.0865 51.662C81.3135 51.9874 81.4271 52.3696 81.4271 52.8086C81.4271 53.2627 81.306 53.66 81.0638 54.0006C80.8292 54.3411 80.4924 54.6098 80.0534 54.8066C79.6145 54.9958 79.0922 55.0904 78.4868 55.0904C77.8813 55.0904 77.3667 54.9882 76.9429 54.7839C76.519 54.572 76.1936 54.2844 75.9666 53.9211C75.7395 53.5578 75.6146 53.1529 75.5919 52.7064Z",
    fill: "white"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M40.99 49.7943C40.99 50.8462 40.7007 51.7753 40.1222 52.5817C39.5612 53.3706 38.7548 53.9929 37.703 54.4487C36.6687 54.9045 35.4415 55.1324 34.0216 55.1324C31.9004 55.1324 30.2087 54.6591 28.9465 53.7124C27.6843 52.7658 27.0532 51.4685 27.0532 49.8206C27.0532 48.8214 27.3161 47.9361 27.842 47.1648C28.368 46.3934 29.1305 45.8587 30.1298 45.5607C29.3409 45.2101 28.7186 44.7017 28.2628 44.0356C27.807 43.3694 27.5791 42.5717 27.5791 41.6426C27.5791 40.7486 27.8245 39.9334 28.3154 39.1971C28.8062 38.4433 29.5337 37.8473 30.4979 37.409C31.4621 36.9532 32.6367 36.7253 34.0216 36.7253C35.4591 36.7253 36.6512 36.9444 37.5978 37.3827C38.5445 37.8034 39.2544 38.3907 39.7278 39.1445C40.2186 39.8808 40.4641 40.7135 40.4641 41.6426C40.4641 42.5717 40.2362 43.3694 39.7804 44.0356C39.3246 44.7017 38.7022 45.2101 37.9134 45.5607C38.8951 45.8587 39.6489 46.3934 40.1748 47.1648C40.7182 47.9361 40.99 48.8126 40.99 49.7943ZM31.2079 41.9582C31.2079 42.6594 31.4533 43.2204 31.9442 43.6411C32.4526 44.0443 33.1538 44.2459 34.0479 44.2459C34.9244 44.2459 35.6081 44.0356 36.0989 43.6148C36.5898 43.1941 36.8352 42.6331 36.8352 41.9319C36.8352 41.2131 36.581 40.6522 36.0726 40.2489C35.5818 39.8457 34.8893 39.6441 33.9953 39.6441C33.1187 39.6441 32.4351 39.8545 31.9442 40.2752C31.4533 40.6784 31.2079 41.2394 31.2079 41.9582ZM30.7346 49.6629C30.7346 50.4693 31.0238 51.1004 31.6024 51.5562C32.1809 51.9944 32.9785 52.2136 33.9953 52.2136C35.0471 52.2136 35.8623 51.9944 36.4408 51.5562C37.0193 51.1179 37.3086 50.4868 37.3086 49.6629C37.3086 48.8389 37.0193 48.1991 36.4408 47.7433C35.8623 47.2875 35.0559 47.0596 34.0216 47.0596C33.0048 47.0596 32.1984 47.2875 31.6024 47.7433C31.0238 48.1991 30.7346 48.8389 30.7346 49.6629ZM49.8414 54.8694H46.2126V54.1069C46.2126 52.7921 46.2739 51.6175 46.3966 50.5832C46.5369 49.5314 46.756 48.5409 47.054 47.6118C47.3521 46.6651 47.7553 45.7185 48.2637 44.7718C48.772 43.8077 49.4031 42.7646 50.157 41.6426L51.1825 40.1438H42.6889V36.9883H55.1795V40.1701L53.3913 42.7996C52.7077 43.7989 52.1379 44.7368 51.6821 45.6133C51.2263 46.4723 50.8582 47.3313 50.5777 48.1903C50.3147 49.0493 50.1219 49.9521 49.9992 50.8988C49.894 51.8454 49.8414 52.9148 49.8414 54.1069V54.8694Z",
    fill: "white"
  }
), /* @__PURE__ */ react_exports.createElement("rect", { x: "0.5", y: "0.5", width: "107", height: "63", rx: "2.5", stroke: "#C3CBD4" }));
var MajorValueAndTrendPreset = () => /* @__PURE__ */ react_exports.createElement("svg", { width: "108", height: "64", viewBox: "0 0 108 64", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, /* @__PURE__ */ react_exports.createElement("rect", { x: "0.5", y: "0.5", width: "107", height: "63", rx: "2.5", fill: "#F2F4F5" }), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C8 49.3918 9.17229 43.3454 11.45 37.704C13.7276 32.0626 17.0661 26.9367 21.2746 22.619C25.4832 18.3013 30.4795 14.8762 35.9783 12.5395C41.4771 10.2028 47.3706 9.00005 53.3225 9.00005C59.2743 9.00005 65.1678 10.2028 70.6666 12.5395C76.1654 14.8762 81.1617 18.3013 85.3703 22.619C89.5788 26.9367 92.9173 32.0626 95.1949 37.704C97.4726 43.3454 98.6449 49.3918 98.6449 55.498L91.2637 55.498C91.2637 50.3863 90.2823 45.3246 88.3756 40.6019C86.4689 35.8793 83.6742 31.5882 80.151 27.9736C76.6278 24.3591 72.4452 21.4919 67.8419 19.5357C63.2387 17.5795 58.305 16.5727 53.3225 16.5727C48.3399 16.5727 43.4062 17.5795 38.803 19.5357C34.1997 21.4919 30.0171 24.3591 26.4939 27.9736C22.9707 31.5882 20.176 35.8793 18.2693 40.6019C16.3626 45.3246 15.3812 50.3863 15.3812 55.498L8 55.498Z",
    fill: "#C4CBD3",
    fillOpacity: "0.3"
  }
), /* @__PURE__ */ react_exports.createElement(
  "mask",
  {
    id: "path-3-outside-1_360:10722",
    maskUnits: "userSpaceOnUse",
    x: "6.99999",
    y: "7.99597",
    width: "61",
    height: "49",
    fill: "black"
  },
  /* @__PURE__ */ react_exports.createElement("rect", { fill: "white", x: "6.99999", y: "7.99597", width: "61", height: "49" }),
  /* @__PURE__ */ react_exports.createElement("path", { d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43885 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z" })
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43885 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z",
    fill: "#00A4FD"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M8 55.498C7.99999 48.2228 9.66396 41.0491 12.8581 34.5538C16.0522 28.0584 20.6874 22.4226 26.3909 18.0996C32.0945 13.7765 38.7072 10.8868 45.6974 9.66284C52.6875 8.43885 59.8601 8.91474 66.6384 11.0522L53.3224 55.498L8 55.498Z",
    stroke: "#F2F4F5",
    strokeWidth: "1.0449",
    mask: "url(#path-3-outside-1_360:10722)"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M91.7031 57C91.7245 56.4626 91.7353 55.9224 91.7353 55.3797C91.7353 33.8834 74.7648 16.4572 53.8305 16.4572C32.8963 16.4572 15.9258 33.8834 15.9258 55.3797C15.9258 55.9224 15.9366 56.4626 15.958 57H91.7031Z",
    fill: "#F2F4F5"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M60.1005 50.4937C59.9157 50.6785 59.6162 50.6785 59.4315 50.4937C59.2468 50.309 59.2468 50.0095 59.4315 49.8248L62.1762 47.0801C62.4532 46.803 62.9025 46.803 63.1796 47.0801L65.9242 49.8248C66.109 50.0095 66.109 50.309 65.9242 50.4937C65.7395 50.6785 65.44 50.6785 65.2553 50.4937L63.1508 48.3892V53.9646C63.1508 54.2259 62.939 54.4377 62.6778 54.4377C62.4165 54.4377 62.2048 54.2259 62.2048 53.9646V48.3894L60.1005 50.4937Z",
    fill: "#53A051"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M69.0006 54.9769V54.2503C69.0006 53.66 69.1066 53.168 69.3185 52.7745C69.538 52.3809 69.8331 52.0442 70.204 51.7641C70.5748 51.4765 70.9911 51.2154 71.4527 50.9808C71.9068 50.7462 72.2474 50.5267 72.4744 50.3224C72.7015 50.1105 72.815 49.8304 72.815 49.4823C72.815 49.2023 72.7242 48.9714 72.5426 48.7898C72.3685 48.6006 72.1112 48.506 71.7706 48.506C71.4452 48.506 71.1803 48.6006 70.9759 48.7898C70.7716 48.9714 70.6467 49.225 70.6013 49.5504H69.0801C69.0952 49.2628 69.1595 48.979 69.2731 48.699C69.3866 48.419 69.5531 48.1616 69.7726 47.927C69.992 47.6848 70.2759 47.4956 70.624 47.3594C70.9721 47.2156 71.3846 47.1437 71.8614 47.1437C72.6561 47.1437 73.2842 47.348 73.7459 47.7567C74.2151 48.1654 74.4498 48.7179 74.4498 49.4142C74.4498 50.0348 74.2492 50.5494 73.8481 50.9581C73.447 51.3592 72.8869 51.7414 72.1679 52.1047C71.7744 52.3015 71.4452 52.5134 71.1803 52.7404C70.9229 52.9675 70.7527 53.2589 70.6694 53.6146H74.4725V54.9769H69.0006ZM75.5919 52.7064H77.1131C77.1813 53.0697 77.3326 53.3346 77.5672 53.5011C77.8019 53.66 78.1046 53.7395 78.4754 53.7395C78.8841 53.7395 79.202 53.6524 79.429 53.4783C79.6637 53.3043 79.781 53.047 79.781 52.7064C79.781 52.3582 79.6599 52.0934 79.4177 51.9117C79.1831 51.7225 78.8501 51.6279 78.4187 51.6279H77.4651V50.4245H78.43C78.8084 50.4245 79.096 50.3375 79.2928 50.1634C79.4972 49.9818 79.5993 49.7396 79.5993 49.4369C79.5993 49.1493 79.4972 48.9222 79.2928 48.7557C79.096 48.5817 78.8274 48.4946 78.4868 48.4946C77.7754 48.4946 77.3667 48.8201 77.2607 49.4709H75.7736C75.7887 49.0925 75.8947 48.7255 76.0914 48.3698C76.2882 48.0141 76.5871 47.7227 76.9883 47.4956C77.3894 47.261 77.9078 47.1437 78.5435 47.1437C79.1187 47.1437 79.6031 47.2383 79.9967 47.4275C80.3902 47.6092 80.6892 47.8627 80.8935 48.1881C81.1054 48.506 81.2114 48.8655 81.2114 49.2666C81.2114 49.6753 81.1092 50.0234 80.9049 50.311C80.7081 50.5986 80.447 50.8181 80.1215 50.9695C80.5378 51.0981 80.8594 51.329 81.0865 51.662C81.3135 51.9874 81.4271 52.3696 81.4271 52.8086C81.4271 53.2627 81.306 53.66 81.0638 54.0006C80.8292 54.3411 80.4924 54.6098 80.0534 54.8066C79.6145 54.9958 79.0922 55.0904 78.4868 55.0904C77.8813 55.0904 77.3667 54.9882 76.9429 54.7839C76.519 54.572 76.1936 54.2844 75.9666 53.9211C75.7395 53.5578 75.6146 53.1529 75.5919 52.7064Z",
    fill: "#53A051"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M40.99 49.7943C40.99 50.8462 40.7007 51.7753 40.1222 52.5817C39.5612 53.3706 38.7548 53.9929 37.703 54.4487C36.6687 54.9045 35.4415 55.1324 34.0216 55.1324C31.9004 55.1324 30.2087 54.6591 28.9465 53.7124C27.6843 52.7658 27.0532 51.4685 27.0532 49.8206C27.0532 48.8214 27.3161 47.9361 27.842 47.1648C28.368 46.3934 29.1305 45.8587 30.1298 45.5607C29.3409 45.2101 28.7186 44.7017 28.2628 44.0356C27.807 43.3694 27.5791 42.5717 27.5791 41.6426C27.5791 40.7486 27.8245 39.9334 28.3154 39.1971C28.8062 38.4433 29.5337 37.8473 30.4979 37.409C31.4621 36.9532 32.6367 36.7253 34.0216 36.7253C35.4591 36.7253 36.6512 36.9444 37.5978 37.3827C38.5445 37.8034 39.2544 38.3907 39.7278 39.1445C40.2186 39.8808 40.4641 40.7135 40.4641 41.6426C40.4641 42.5717 40.2362 43.3694 39.7804 44.0356C39.3246 44.7017 38.7022 45.2101 37.9134 45.5607C38.8951 45.8587 39.6489 46.3934 40.1748 47.1648C40.7182 47.9361 40.99 48.8126 40.99 49.7943ZM31.2079 41.9582C31.2079 42.6594 31.4533 43.2204 31.9442 43.6411C32.4526 44.0443 33.1538 44.2459 34.0479 44.2459C34.9244 44.2459 35.6081 44.0356 36.0989 43.6148C36.5898 43.1941 36.8352 42.6331 36.8352 41.9319C36.8352 41.2131 36.581 40.6522 36.0726 40.2489C35.5818 39.8457 34.8893 39.6441 33.9953 39.6441C33.1187 39.6441 32.4351 39.8545 31.9442 40.2752C31.4533 40.6784 31.2079 41.2394 31.2079 41.9582ZM30.7346 49.6629C30.7346 50.4693 31.0238 51.1004 31.6024 51.5562C32.1809 51.9944 32.9785 52.2136 33.9953 52.2136C35.0471 52.2136 35.8623 51.9944 36.4408 51.5562C37.0193 51.1179 37.3086 50.4868 37.3086 49.6629C37.3086 48.8389 37.0193 48.1991 36.4408 47.7433C35.8623 47.2875 35.0559 47.0596 34.0216 47.0596C33.0048 47.0596 32.1984 47.2875 31.6024 47.7433C31.0238 48.1991 30.7346 48.8389 30.7346 49.6629ZM49.8414 54.8694H46.2126V54.1069C46.2126 52.7921 46.2739 51.6175 46.3966 50.5832C46.5369 49.5314 46.756 48.5409 47.054 47.6118C47.3521 46.6651 47.7553 45.7185 48.2637 44.7718C48.772 43.8077 49.4031 42.7646 50.157 41.6426L51.1825 40.1438H42.6889V36.9883H55.1795V40.1701L53.3913 42.7996C52.7077 43.7989 52.1379 44.7368 51.6821 45.6133C51.2263 46.4723 50.8582 47.3313 50.5777 48.1903C50.3147 49.0493 50.1219 49.9521 49.9992 50.8988C49.894 51.8454 49.8414 52.9148 49.8414 54.1069V54.8694Z",
    fill: "#00A4FD"
  }
), /* @__PURE__ */ react_exports.createElement("rect", { x: "0.5", y: "0.5", width: "107", height: "63", rx: "2.5", stroke: "#C3CBD4" }));
var SingleValueRadialPresetIcons_default = {
  "singleValueRadial.none": NonePreset,
  "singleValueRadial.majorValue": MajorValuePreset,
  "singleValueRadial.trend": TrendPreset,
  "singleValueRadial.background": BackgroundPreset,
  "singleValueRadial.majorValueAndTrend": MajorValueAndTrendPreset
};
//# sourceMappingURL=SingleValueRadialPresetIcons.js.map
