/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/placeholders/Area.tsx
var Area_exports = {};
__export(Area_exports, {
  default: () => Area_default
});
module.exports = __toCommonJS(Area_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/placeholders/Area.tsx
var Area = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ screenReaderText: (0, i18n_exports._)("Area"), fill: "currentColor", viewBox: "0 0 150 100" }, props), /* @__PURE__ */ react_exports.createElement("path", { d: "M119.232 20.8622C118.994 20.0798 118.066 19.7512 117.388 20.2089L114.739 21.9982C114.46 22.1867 114.271 22.4826 114.218 22.8153L111.15 42.1538L108.055 33.8295C107.626 32.6745 105.948 32.8176 105.721 34.0286L101.206 58.0477L90.7144 63.1063L88.8399 51.0927C88.6335 49.7699 86.7528 49.7034 86.4536 51.0084L83.2806 64.8453L80.3296 56.2886C80.217 55.9621 79.9709 55.6989 79.6526 55.5647L76.7686 54.3486L72.67 36.4603C72.3936 35.2541 70.702 35.1837 70.3264 36.3628L67.3007 45.861L59.0463 56.9048L56.3767 54.5809C55.7921 54.072 54.887 54.2327 54.5133 54.9117L51.8824 59.6918L44.8789 33.9402C44.7796 33.5753 44.5163 33.2774 44.1663 33.1341L40.9262 31.8078C40.3348 31.5657 39.6569 31.8228 39.3747 32.3962L33.3516 44.6356L29.4441 42.9163L25.4855 33.286C25.181 32.5453 24.2561 32.2962 23.6208 32.7837L20.6924 35.0311L18.578 23.8136C18.3215 22.453 16.3539 22.5105 16.1773 23.8837L11.8923 57.2113L10.0716 66.3688L6.8644 51.1945C6.76787 50.7378 6.41836 50.3766 5.96503 50.2652L2.50596 49.4152C1.73979 49.2269 1 49.8069 1 50.5958V79.6529C1 80.3244 1.54433 80.8687 2.21581 80.8687H148.72C149.392 80.8687 149.936 80.3244 149.936 79.6529V52.6903C149.936 52.5299 149.904 52.3711 149.843 52.223L145.895 42.742C145.557 41.9294 144.494 41.7344 143.89 42.374L140.915 45.5202C140.766 45.6782 140.661 45.8734 140.613 46.0853L136.476 64.2347L133.579 37.8911C133.426 36.5051 131.44 36.4246 131.176 37.7937L129.455 46.7158L126.005 26.9741C125.8 25.7994 124.202 25.5915 123.703 26.6745L122.077 30.2035L119.232 20.8622Z" }));
var Area_default = Area;
//# sourceMappingURL=Area.js.map
