/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/placeholders/Column.tsx
var Column_exports = {};
__export(Column_exports, {
  default: () => Column_default
});
module.exports = __toCommonJS(Column_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/placeholders/Column.tsx
var Column = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ screenReaderText: (0, i18n_exports._)("Column"), fill: "currentColor", viewBox: "0 0 150 100" }, props), /* @__PURE__ */ react_exports.createElement("g", null, /* @__PURE__ */ react_exports.createElement("path", { d: "M73.3598 16H59.0783V83.0459H73.3598V16Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M36.5453 25.9487H22.3061V83.0459H36.5453V25.9487Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M18.3714 32.1835H4.08984V83.0459H18.3714V32.1835Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M40.5194 38.0602H55.0977V83.0459H40.5194V38.0602Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M77.2945 54.4973H91.5337V83.0459H77.2945V54.4973Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M109.701 34.1673H95.4617V83.0459H109.701V34.1673Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M113.629 45.4137H127.868V83.0459H113.629V45.4137Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M146.035 34.1673H131.796V83.0459H146.035V34.1673Z" })));
var Column_default = Column;
//# sourceMappingURL=Column.js.map
