/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/placeholders/Events.tsx
var Events_exports = {};
__export(Events_exports, {
  default: () => Events_default
});
module.exports = __toCommonJS(Events_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/placeholders/Events.tsx
var Events = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ screenReaderText: (0, i18n_exports._)("Events"), fill: "currentColor", viewBox: "0 0 150 100" }, props), /* @__PURE__ */ react_exports.createElement("g", null, /* @__PURE__ */ react_exports.createElement("path", { d: "M20.7071 63.7929C20.3166 63.4024 19.6834 63.4024 19.2929 63.7929C18.9024 64.1834 18.9024 64.8166 19.2929 65.2071L22.0858 68L19.2929 70.7929C18.9024 71.1834 18.9024 71.8166 19.2929 72.2071C19.6834 72.5976 20.3166 72.5976 20.7071 72.2071L23.8536 69.0607C24.4393 68.4749 24.4393 67.5251 23.8536 66.9393L20.7071 63.7929Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M19.2929 45.7929C19.6834 45.4024 20.3166 45.4024 20.7071 45.7929L23.8536 48.9393C24.4393 49.5251 24.4393 50.4749 23.8536 51.0607L20.7071 54.2071C20.3166 54.5976 19.6834 54.5976 19.2929 54.2071C18.9024 53.8166 18.9024 53.1834 19.2929 52.7929L22.0858 50L19.2929 47.2071C18.9024 46.8166 18.9024 46.1834 19.2929 45.7929Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M20.7071 27.7929C20.3166 27.4024 19.6834 27.4024 19.2929 27.7929C18.9024 28.1834 18.9024 28.8166 19.2929 29.2071L22.0858 32L19.2929 34.7929C18.9024 35.1834 18.9024 35.8166 19.2929 36.2071C19.6834 36.5976 20.3166 36.5976 20.7071 36.2071L23.8536 33.0607C24.4393 32.4749 24.4393 31.5251 23.8536 30.9393L20.7071 27.7929Z" }), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M10 23C10 22.4477 10.4477 22 11 22H139C139.552 22 140 22.4477 140 23C140 41 140 59 140 77C140 77.5523 139.552 78 139 78H11C10.4477 78 10 77.5523 10 77C10 59 10 41 10 23ZM60.2563 60H138V76H60.2563V60ZM33.1284 60H58.2563V76H33.1284V60ZM31.1284 60V76H12V60H31.1284ZM12 58H31.1284V42H12V58ZM33.1284 58H58.2563V42H33.1284V58ZM60.2563 58H138V42H60.2563V58ZM138 24V40H60.2563V24H138ZM58.2563 24V40H33.1284V24H58.2563ZM31.1284 24V40H12V24H31.1284Z"
  }
)));
var Events_default = Events;
//# sourceMappingURL=Events.js.map
