/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/placeholders/Line.tsx
var Line_exports = {};
__export(Line_exports, {
  default: () => Line_default
});
module.exports = __toCommonJS(Line_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/placeholders/Line.tsx
var Line = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ screenReaderText: (0, i18n_exports._)("Line"), fill: "currentColor", viewBox: "0 0 150 100" }, props), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M117.241 28.2308L115.172 29.6278L112.13 48.7981C111.871 50.4315 109.612 50.6567 109.035 49.1065L106.432 42.1056L102.179 64.7371C102.084 65.2392 101.757 65.6665 101.297 65.8884L90.8051 70.9469C89.833 71.4156 88.6844 70.8127 88.5181 69.7465L86.9577 59.7462L84.2401 71.597C83.8788 73.1725 81.6798 73.2899 81.1528 71.7618L78.259 63.3706L75.5362 62.2225C75.0598 62.0217 74.7091 61.604 74.5936 61.1001L70.8154 44.61L68.225 52.7414C68.1707 52.9121 68.0882 53.0725 67.9809 53.216L59.7265 64.2597C59.1667 65.0087 58.0882 65.1238 57.3829 64.5098L55.0799 62.5051L52.6834 66.8594C51.9865 68.1258 50.1026 67.9009 49.7232 66.5061L42.7704 40.9412L40.0481 39.8268L34.1866 51.7379C33.8064 52.5107 32.8847 52.8465 32.0964 52.4997L28.1889 50.7804C27.8083 50.6129 27.5074 50.3045 27.3493 49.92L23.5855 40.7636L21.0636 42.699C20.1128 43.4287 18.7266 42.8991 18.5046 41.7213L16.8488 32.9363L12.8767 63.8293C12.8738 63.8519 12.8701 63.8744 12.8657 63.8967L11.041 73.0747C10.6999 74.79 8.25242 74.8047 7.89078 73.0937L4.73451 58.1602L0.761585 57.1839C0.225258 57.0521 -0.102674 56.5104 0.0291274 55.9741C0.160929 55.4378 0.702555 55.1099 1.23888 55.2417L5.45093 56.2768C6.05046 56.4241 6.51269 56.9017 6.64036 57.5057L9.45219 70.8095L10.8974 63.5403L15.1808 30.226C15.4143 28.4099 18.0165 28.3339 18.3556 30.1332L20.3519 40.7241L22.7744 38.865C23.6146 38.2202 24.8378 38.5497 25.2405 39.5292L29.139 49.0134L32.558 50.5178L38.4152 38.6154C38.7884 37.8571 39.6849 37.5171 40.467 37.8373L43.7071 39.1636C44.17 39.353 44.5183 39.7471 44.6496 40.2297L51.3987 65.0458L53.5621 61.115C54.0564 60.217 55.2534 60.0045 56.0265 60.6775L58.3774 62.724L66.3394 52.0715L69.3452 42.6361C69.8419 41.0768 72.079 41.1698 72.4445 42.765L76.4983 60.4577L79.1973 61.5957C79.6182 61.7731 79.9437 62.1212 80.0926 62.5531L82.5969 69.8147L85.4637 57.3131C85.8595 55.5872 88.3466 55.6751 88.6196 57.4246L90.4127 68.9158L100.25 64.1729L104.728 40.3485C105.029 38.7469 107.247 38.5577 107.815 40.0852L110.389 47.0091L113.223 29.1461C113.293 28.7062 113.543 28.3149 113.912 28.0656L116.561 26.2763C117.458 25.6709 118.684 26.1055 118.999 27.1403L121.545 35.4962L122.74 32.9028C123.4 31.4705 125.512 31.7454 125.784 33.2989L128.866 50.9396L130.184 44.1117C130.533 42.3011 133.159 42.4076 133.361 44.2406L136.004 68.2696L139.623 52.3905C139.687 52.1102 139.825 51.8521 140.022 51.6432L142.997 48.497C143.797 47.6511 145.202 47.909 145.65 48.9836L149.644 58.5768C149.856 59.0866 149.615 59.6721 149.105 59.8843C148.595 60.0966 148.01 59.8554 147.797 59.3455L144.035 50.3097L141.549 52.9394L137.436 70.9843C137.033 72.7521 134.469 72.605 134.27 70.8028L131.656 47.0364L130.426 53.4128C130.087 55.1661 127.57 55.1439 127.263 53.3849L124.03 34.8813L122.93 37.2687C122.312 38.611 120.362 38.4781 119.932 37.0644L117.241 28.2308Z"
  }
));
var Line_default = Line;
//# sourceMappingURL=Line.js.map
