/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/placeholders/LinkGraph.tsx
var LinkGraph_exports = {};
__export(LinkGraph_exports, {
  default: () => LinkGraph_default
});
module.exports = __toCommonJS(LinkGraph_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/placeholders/LinkGraph.tsx
var LinkGraph = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ screenReaderText: (0, i18n_exports._)("Link Graph"), fill: "currentColor", viewBox: "0 0 150 100" }, props), /* @__PURE__ */ react_exports.createElement("g", null, /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M39.9474 31H1V38.7895H39.9474V36.1187L53.4368 49.6082H39.9474V46.5789H1V54.3684H39.9474V51.3392H55.5263V54.3684H94.4737V51.3392H100.863L94.4737 64.1173V62.1579H55.5263V65.1871H39.9474V62.1579H1V69.9474H39.9474V66.9181H55.5263V69.9474H94.4737V66.9181H95.0086L102.798 51.3392H110.053V54.3684H149V46.5789H110.053V49.2497L105.913 45.1098L110.053 36.83V38.7895H149V31H110.053V34.0292H109.518L109.341 34.382L102.263 41.4602L94.8322 34.0292H94.4737V31H55.5263V38.7895H94.4737V36.1187L101.039 42.6842L94.4737 49.2497V46.5789H55.5263V49.2497L40.3059 34.0292H39.9474V31ZM102.263 43.9082L96.5632 49.6082H101.728L103.807 45.4516L102.263 43.9082ZM104.623 43.8196L106.893 39.278L103.487 42.6842L104.623 43.8196ZM105.097 46.7418L103.664 49.6082H107.963L105.097 46.7418Z"
  }
), /* @__PURE__ */ react_exports.createElement("path", { d: "M149 62.1579V69.9474H110.053V62.1579H149Z" })));
var LinkGraph_default = LinkGraph;
//# sourceMappingURL=LinkGraph.js.map
