/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/placeholders/Pie.tsx
var Pie_exports = {};
__export(Pie_exports, {
  default: () => Pie_default
});
module.exports = __toCommonJS(Pie_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/placeholders/Pie.tsx
var Pie = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ screenReaderText: (0, i18n_exports._)("Pie"), fill: "currentColor", viewBox: "0 0 150 100" }, props), /* @__PURE__ */ react_exports.createElement("g", null, /* @__PURE__ */ react_exports.createElement("path", { d: "M52.9652 82.7149C42.7139 75.6113 36 63.7631 36 50.3468C36 28.8297 53.2694 11.3461 74.704 11V50.15L52.9652 82.7149Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M77.1674 50.3472L112.35 36.9099C113.873 41.1027 114.704 45.6277 114.704 50.3468C114.704 55.071 113.872 59.6007 112.345 63.7974L77.1674 50.3472Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M75.2752 89.6987C73.4676 89.6952 71.6576 89.5671 69.858 89.3134C64.2213 88.5187 58.8266 86.5109 54.045 83.4316L75.6035 51.1368L111.872 65.004C109.754 70.2822 106.516 75.041 102.378 78.9505C98.083 83.0084 92.9296 86.0471 87.2999 87.841C83.4018 89.0833 79.3446 89.7066 75.2752 89.6987Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M76 49.4058L111.878 35.703C108.996 28.5149 104.055 22.332 97.6686 17.9348C91.2821 13.5375 83.7432 11.1278 76 11.0003V49.4058Z" })));
var Pie_default = Pie;
//# sourceMappingURL=Pie.js.map
