/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/EllipsePresetIcons.tsx
var EllipsePresetIcons_exports = {};
__export(EllipsePresetIcons_exports, {
  default: () => EllipsePresetIcons_default
});
module.exports = __toCommonJS(EllipsePresetIcons_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// src/EllipsePresetIcons.tsx
var getEllipseIcon = (props) => function EllipseIcon() {
  return /* @__PURE__ */ react_exports.createElement("svg", { width: "108", height: "64", viewBox: "0 0 108 64", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, /* @__PURE__ */ react_exports.createElement(
    "path",
    __spreadValues({
      d: "M107.5 32C107.5 40.5888 101.622 48.4531 91.9289 54.1973C82.2464 59.935 68.8377 63.5 54 63.5C39.1623 63.5 25.7536 59.935 16.0711 54.1973C6.37777 48.4531 0.5 40.5888 0.5 32C0.5 23.4112 6.37777 15.5469 16.0711 9.80273C25.7536 4.065 39.1623 0.5 54 0.5C68.8377 0.5 82.2464 4.065 91.9289 9.80273C101.622 15.5469 107.5 23.4112 107.5 32Z"
    }, props)
  ));
};
var EllipsePresetIcons_default = {
  "ellipse.none": getEllipseIcon({ fill: "#F2F4F5", stroke: "#C3CBD4" }),
  "ellipse.fill": getEllipseIcon({ fill: "#00A4FD" }),
  "ellipse.stroke": getEllipseIcon({ fill: "#F2F4F5", stroke: "#00A4FD" }),
  "ellipse.fillAndStroke": getEllipseIcon({ fill: "#00A4FD", stroke: "#00A4FD" })
};
//# sourceMappingURL=EllipsePresetIcons.js.map
