/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/RemoveIcon.tsx
var RemoveIcon_exports = {};
__export(RemoveIcon_exports, {
  RemoveIcon: () => RemoveIcon,
  default: () => RemoveIcon_default
});
module.exports = __toCommonJS(RemoveIcon_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/RemoveIcon.tsx
var RemoveIcon = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ screenReaderText: (0, i18n_exports._)("Remove"), width: "16", height: "16", viewBox: "0 0 16 16", fill: "none" }, props), /* @__PURE__ */ react_exports.createElement("g", { clipPath: "url(#clip0)" }, /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M6.66667 4.00016V2.66683H9.33333V4.00016H6.66667ZM11.3333 4.00016H10.6667V2.3335C10.6667 1.78121 10.219 1.3335 9.66667 1.3335H6.33333C5.78105 1.3335 5.33333 1.78121 5.33333 2.3335V4.00016H4.66667H3.33333H2.66667C2.29848 4.00016 2 4.29864 2 4.66683C2 5.03502 2.29848 5.3335 2.66667 5.3335H3.33333V13.6668C3.33333 14.2191 3.78105 14.6668 4.33333 14.6668H11.6667C12.219 14.6668 12.6667 14.2191 12.6667 13.6668V5.3335H13.3333C13.7015 5.3335 14 5.03502 14 4.66683C14 4.29864 13.7015 4.00016 13.3333 4.00016H12.6667H11.3333ZM8 8.39077L7.13807 7.52884C6.87772 7.26849 6.45561 7.26849 6.19526 7.52884C5.93491 7.78919 5.93491 8.2113 6.19526 8.47165L7.05719 9.33358L6.19526 10.1955C5.93491 10.4559 5.93491 10.878 6.19526 11.1383C6.45561 11.3987 6.87772 11.3987 7.13807 11.1383L8 10.2764L8.86193 11.1383C9.12228 11.3987 9.54439 11.3987 9.80474 11.1383C10.0651 10.878 10.0651 10.4559 9.80474 10.1955L8.94281 9.33358L9.80474 8.47165C10.0651 8.2113 10.0651 7.78919 9.80474 7.52884C9.54439 7.26849 9.12228 7.26849 8.86193 7.52884L8 8.39077Z",
    fill: "#818D99"
  }
)), /* @__PURE__ */ react_exports.createElement("defs", null, /* @__PURE__ */ react_exports.createElement("clipPath", { id: "clip0" }, /* @__PURE__ */ react_exports.createElement("rect", { width: "16", height: "16", fill: "white" }))));
var RemoveIcon_default = RemoveIcon;
//# sourceMappingURL=RemoveIcon.js.map
