/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/Sankey.tsx
var Sankey_exports = {};
__export(Sankey_exports, {
  default: () => Sankey_default
});
module.exports = __toCommonJS(Sankey_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport2 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// src/Sankey.tsx
var Sankey = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ viewBox: "0 0 24 24" }, props), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M11.278 8.29599C13.4714 5.3705 15.9985 2 21 2C21.5523 2 22 2.44772 22 3V12C22 12.5523 21.5523 13 21 13C19.2142 13 17.8255 13.3351 16.6433 13.8765C15.1641 13.0082 13.9957 11.7226 12.7433 10.331L12.6941 10.2764C12.1812 9.70642 11.6533 9.11976 11.0843 8.55419C11.1228 8.50294 11.1613 8.45154 11.2 8.4L11.278 8.29599Z",
    fill: "currentColor"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M2 16V20C2 20.5523 2.44772 21 3 21C6.40592 21 8.64914 19.9206 10.4654 18.5825C9.6609 17.98 8.85617 17.4364 7.92086 16.9999C6.65179 16.4077 5.10923 16 3 16H2Z",
    fill: "currentColor"
  }
), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    d: "M3 7C2.44772 7 2 7.44772 2 8V13C2 13.5523 2.44772 14 3 14C5.10923 14 6.65179 14.4077 7.92086 14.9999C9.21024 15.6016 10.2515 16.4069 11.3861 17.2894L11.4179 17.3141C12.5245 18.1748 13.7247 19.1084 15.2334 19.8124C16.7768 20.5327 18.6092 21 21 21C21.5523 21 22 20.5523 22 20V18C22 17.4477 21.5523 17 21 17C16.9823 17 14.9991 14.8375 12.7433 12.331L12.6941 12.2764C10.4623 9.79625 7.94594 7 3 7Z",
    fill: "currentColor"
  }
));
var Sankey_default = Sankey;
//# sourceMappingURL=Sankey.js.map
