/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/placeholders/ChoroplethSvg.tsx
var ChoroplethSvg_exports = {};
__export(ChoroplethSvg_exports, {
  default: () => ChoroplethSvg_default
});
module.exports = __toCommonJS(ChoroplethSvg_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/placeholders/ChoroplethSvg.tsx
var ChoroplethSvg = (props) => /* @__PURE__ */ react_exports.createElement(
  SVGEnterprise_default,
  __spreadProps(__spreadValues({
    screenReaderText: (0, i18n_exports._)("SVG Choropleth"),
    viewBox: "0 0 150 100",
    fill: "currentColor"
  }, props), {
    style: __spreadProps(__spreadValues({}, props.style), { overflow: "hidden" })
  }),
  /* @__PURE__ */ react_exports.createElement("path", { d: "M5 25.4684H11.7534V15.3671H45.3858V24.9873H45.3666V47.1235H51.1676V55.8972H23.4228V44.6992H5V25.4684ZM131.968 87.519V48.9129H105.532V54.8101H77.6329V62.5063H95.9114V87.519H131.968ZM5 65.2673H17.9681V88H51.1772V56.8689H22.4608V45.6709H5V65.2673V65.2673ZM132.439 47.9509H144.965V25.9494H128.13V12H105.541V47.9509H132.449H132.439ZM94.9494 63.4684H76.6709V34.1362H70.3889V19.6962H59.3448V25.4684H46.3382V46.1615H52.1392V88H81.9813V75.4937H94.9494V63.4684ZM104.57 53.8481V12H71.3605V19.6962H71.3413V33.1742H77.6233V53.8481H104.56H104.57Z" })
);
var ChoroplethSvg_default = ChoroplethSvg;
//# sourceMappingURL=ChoroplethSvg.js.map
