/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/placeholders/Sankey.tsx
var Sankey_exports = {};
__export(Sankey_exports, {
  default: () => Sankey_default
});
module.exports = __toCommonJS(Sankey_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/placeholders/Sankey.tsx
var Sankey = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ screenReaderText: (0, i18n_exports._)("Sankey"), fill: "currentColor", viewBox: "0 0 150 100" }, props), /* @__PURE__ */ react_exports.createElement("g", null, /* @__PURE__ */ react_exports.createElement("path", { d: "M11 39.9956V15H140V18.0054C122.347 18.1939 100.918 23.3084 79.0366 28.5307L76.9556 29.0273C54.2425 34.4439 31.1278 39.8215 11 39.9956Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M68.5049 46.2188C49.0321 44.0413 29.6782 42.0704 11 42.002V66.9909C21.1218 66.8063 31.4903 63.8441 42.035 59.4216C50.7914 55.7492 59.6252 51.0896 68.5049 46.2188Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M50.65 71.0687C59.5165 72.549 68.4985 74.2858 77.379 76.0186L79.3274 76.399C101.314 80.6918 122.564 84.8409 140 84.9956V52.0028C112.87 52.1564 90.7833 58.5377 70.3622 64.954C68.7943 65.4467 67.2355 65.9398 65.6845 66.4305L65.6792 66.4321L65.6767 66.4329L65.6749 66.4335C60.5999 68.039 55.6082 69.6181 50.65 71.0687Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M11 68.9913V75.9949C29.4086 75.8043 46.5435 70.3857 65.1294 64.5082C66.6634 64.023 68.2074 63.5348 69.7627 63.0461C90.2186 56.6189 112.548 50.1567 140 50.0029V20.0093C129.878 20.1938 119.51 23.1561 108.965 27.5786C98.071 32.1475 87.0571 38.2443 75.9844 44.375L75.9568 44.3902C64.9136 50.5046 53.8117 56.6513 42.8086 61.2661C32.134 65.743 21.4883 68.8067 11 68.9913Z" })));
var Sankey_default = Sankey;
//# sourceMappingURL=Sankey.js.map
