/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/placeholders/Scatter.tsx
var Scatter_exports = {};
__export(Scatter_exports, {
  default: () => Scatter_default
});
module.exports = __toCommonJS(Scatter_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/placeholders/Scatter.tsx
var Scatter = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ screenReaderText: (0, i18n_exports._)("Scatter"), fill: "currentColor", viewBox: "0 0 150 100" }, props), /* @__PURE__ */ react_exports.createElement("g", null, /* @__PURE__ */ react_exports.createElement("path", { d: "M127.772 16H134.759V22.9873H127.772V16Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M29.9494 27.3544H36.9367V34.3418H29.9494V27.3544Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M64.8861 45.6962H71.8734V52.6835H64.8861V45.6962Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M71.8734 52.6835V59.6709H78.8608V52.6835H71.8734Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M43.9241 59.6709H36.9367V66.6582H43.9241V59.6709Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M43.9241 59.6709H50.9114V52.6835H43.9241V59.6709Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M120.785 34.3418H127.772V41.3291H120.785V34.3418Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M134.759 63.1646V70.1519H148.734V63.1646H134.759Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M120.785 63.1646V70.1519H92.8354V63.1646H120.785Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M64.8861 63.1646V70.1519H50.9114V63.1646H64.8861Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M22.962 63.1646H29.9494V70.1519H22.962V63.1646Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M8.98734 63.1646H2V70.1519H8.98734V63.1646Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M85.8481 78.0127H92.8354V85H85.8481V78.0127Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M85.8481 27.3544H78.8608V34.3418H85.8481V27.3544Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M22.962 49.1899H15.9747V56.1772H22.962V49.1899Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M15.9747 71.8987H8.98734V78.8861H15.9747V71.8987Z" })));
var Scatter_default = Scatter;
//# sourceMappingURL=Scatter.js.map
