/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/placeholders/SingleValueTrend.tsx
var SingleValueTrend_exports = {};
__export(SingleValueTrend_exports, {
  default: () => SingleValueTrend_default
});
module.exports = __toCommonJS(SingleValueTrend_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/placeholders/SingleValueTrend.tsx
var SingleValueTrend = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ screenReaderText: (0, i18n_exports._)("Single Value"), fill: "currentColor", viewBox: "0 0 150 100" }, props), /* @__PURE__ */ react_exports.createElement("g", null, /* @__PURE__ */ react_exports.createElement("path", { d: "M107.745 67.5254L109.496 67.0523L111.58 69.7893C112.143 70.528 113.212 70.6381 113.914 70.0294L114.923 69.153L117.386 74.7909C117.936 76.0503 119.71 76.0837 120.307 74.8459L121.101 73.2016L123.037 80.2427C123.416 81.6232 125.275 81.8564 125.984 80.6124L129.133 75.0862L131.246 74.1923L134.307 77.1337C134.706 77.5163 135.339 77.5036 135.721 77.1053C136.104 76.7071 136.091 76.074 135.693 75.6914L132.445 72.571C131.981 72.1255 131.297 71.9991 130.705 72.2497L128.231 73.296C127.906 73.4335 127.636 73.6741 127.461 73.9807L124.714 78.8008L122.752 71.6636C122.358 70.2313 120.399 70.0534 119.753 71.3913L118.877 73.2082L116.542 67.8636C116.108 66.8695 114.834 66.5818 114.015 67.293L112.918 68.245L110.927 65.6309C110.531 65.1109 109.86 64.8823 109.229 65.0528L107.033 65.6458C106.544 65.7781 106.145 66.1337 105.958 66.6052L103.833 71.9619L101.735 69.7039C100.959 68.8696 99.5861 69.0839 99.1017 70.1148L95.6587 77.4418L87.6289 78.9905L86.3724 75.7694C85.8815 74.5109 84.1514 74.3821 83.4795 75.5541L81.2772 79.3957L79.3111 77.1153C79.0664 76.8315 78.7303 76.6421 78.3608 76.5797L76.2643 76.2262L73.155 70.798C72.5905 69.8124 71.2097 69.707 70.502 70.5955L68.1569 73.5402L61.6517 77.0216L59.3343 76.2147C58.837 76.0415 58.2863 76.1229 57.8603 76.4325L55.9311 77.8346L50.5844 69.9708C50.3365 69.6062 49.9497 69.3594 49.5145 69.2881L46.7576 68.8367C46.304 68.7625 45.8403 68.8859 45.4836 69.1758L40.7447 73.0277L37.7083 72.4933L34.6503 69.5176C34.2294 69.108 33.6186 68.9605 33.0571 69.1328L30.7019 69.8558L29.2845 66.8479C28.6625 65.5281 26.7457 65.6522 26.2992 67.0412L22.9132 77.5752L21.8631 79.6879L19.7598 75.7073C19.5076 75.2299 19.0327 74.9111 18.4954 74.8582L15.0979 74.5243C14.5483 74.4702 14.0589 74.872 14.0049 75.4216C13.9508 75.9713 14.3526 76.4607 14.9022 76.5147L18.0899 76.828L20.4521 81.2986C21.0642 82.457 22.7305 82.4363 23.3136 81.2631L24.7173 78.439C24.7532 78.3668 24.7836 78.2921 24.8082 78.2154L27.899 68.5997L29.0375 71.0158C29.3785 71.7393 30.1993 72.1022 30.9639 71.8675L33.422 71.1129L36.4001 74.0109C36.6313 74.2359 36.9249 74.3862 37.2427 74.4421L40.5744 75.0285C41.0337 75.1093 41.5054 74.9868 41.8673 74.6926L46.6084 70.8389L49.0251 71.2346L54.5046 79.2937C55.015 80.0444 56.0453 80.224 56.7796 79.6903L58.8703 78.1709L61.1564 78.9669C61.5807 79.1147 62.0476 79.0781 62.4438 78.8661L69.1719 75.2654C69.3648 75.1621 69.5346 75.0206 69.671 74.8494L71.7067 72.2933L74.621 77.3811C74.8603 77.7989 75.2742 78.0874 75.7488 78.1675L77.8887 78.5284L80.1241 81.1211C80.8483 81.961 82.1852 81.833 82.7368 80.8709L84.807 77.2598L85.8844 80.0217C86.1664 80.7447 86.9247 81.1631 87.6868 81.0161L96.2332 79.3679C96.7378 79.2706 97.1655 78.938 97.384 78.4729L100.665 71.4907L102.791 73.7783C103.596 74.6439 105.028 74.375 105.464 73.2765L107.745 67.5254Z" }), /* @__PURE__ */ react_exports.createElement("path", { d: "M40.3476 46.5396L41.1676 40.3896H37.8056V36.1256H41.7416L42.6436 29.0735H39.1996V24.8095H43.2176L44.0376 18.6596H48.7526L47.9326 24.8095H53.7956L54.6156 18.6596H59.3306L58.5106 24.8095H61.8726V29.0735H57.9366L57.0346 36.1256H60.4786V40.3896H56.4606L55.6406 46.5396H50.9256L51.7456 40.3896H45.8826L45.0626 46.5396H40.3476ZM46.4566 36.1256H52.3196L53.2216 29.0735H47.3586L46.4566 36.1256ZM66.0239 46.5396L66.8439 40.3896H63.4819V36.1256H67.4179L68.3199 29.0735H64.8759V24.8095H68.8939L69.7139 18.6596H74.4289L73.6089 24.8095H79.4719L80.2919 18.6596H85.0069L84.1869 24.8095H87.5489V29.0735H83.6129L82.7109 36.1256H86.1549V40.3896H82.1369L81.3169 46.5396H76.6019L77.4219 40.3896H71.5589L70.7389 46.5396H66.0239ZM72.1329 36.1256H77.9959L78.8979 29.0735H73.0349L72.1329 36.1256ZM91.7001 46.5396L92.5201 40.3896H89.1581V36.1256H93.0941L93.9961 29.0735H90.5521V24.8095H94.5701L95.3901 18.6596H100.105L99.2851 24.8095H105.148L105.968 18.6596H110.683L109.863 24.8095H113.225V29.0735H109.289L108.387 36.1256H111.831V40.3896H107.813L106.993 46.5396H102.278L103.098 40.3896H97.2351L96.4151 46.5396H91.7001ZM97.8091 36.1256H103.672L104.574 29.0735H98.7111L97.8091 36.1256Z" })));
var SingleValueTrend_default = SingleValueTrend;
//# sourceMappingURL=SingleValueTrend.js.map
