/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/placeholders/Table.tsx
var Table_exports = {};
__export(Table_exports, {
  default: () => Table_default
});
module.exports = __toCommonJS(Table_exports);

// esm-externals:react
var react_exports = {};
__export(react_exports, {
  default: () => react_default
});
var defaultImport = __toESM(require("react"));
__reExport(react_exports, require("react"));
var react_default = "default" in defaultImport ? defaultImport.default : defaultImport;

// esm-externals:@splunk/ui-utils/i18n
var i18n_exports = {};
__export(i18n_exports, {
  default: () => i18n_default
});
var defaultImport2 = __toESM(require("@splunk/ui-utils/i18n"));
__reExport(i18n_exports, require("@splunk/ui-utils/i18n"));
var i18n_default = "default" in defaultImport2 ? defaultImport2.default : defaultImport2;

// esm-externals:@splunk/react-icons/SVGEnterprise
var SVGEnterprise_exports = {};
__export(SVGEnterprise_exports, {
  default: () => SVGEnterprise_default
});
var defaultImport3 = __toESM(require("@splunk/react-icons/SVGEnterprise"));
__reExport(SVGEnterprise_exports, require("@splunk/react-icons/SVGEnterprise"));
var SVGEnterprise_default = "default" in defaultImport3 ? defaultImport3.default : defaultImport3;

// src/placeholders/Table.tsx
var Table = (props) => /* @__PURE__ */ react_exports.createElement(SVGEnterprise_default, __spreadValues({ screenReaderText: (0, i18n_exports._)("Table"), fill: "currentColor", viewBox: "0 0 150 100" }, props), /* @__PURE__ */ react_exports.createElement(
  "path",
  {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M7.92292 24.2117C7.75325 24.079 7.53966 24 7.30762 24C6.75533 24 6.30762 24.4477 6.30762 25V74.2308C6.30762 74.7831 6.75533 75.2308 7.30762 75.2308C7.53966 75.2308 7.75325 75.1517 7.92292 75.0191C8.0926 75.1517 8.30618 75.2308 8.53822 75.2308H141.461C141.693 75.2308 141.907 75.1517 142.077 75.019C142.246 75.1517 142.46 75.2308 142.692 75.2308C143.245 75.2308 143.692 74.7831 143.692 74.2308V25C143.692 24.4477 143.245 24 142.692 24C142.46 24 142.246 24.0791 142.077 24.2118C141.907 24.0791 141.693 24 141.461 24H8.53822C8.30618 24 8.09259 24.079 7.92292 24.2117ZM141.692 73.2576V62.8963C141.618 62.9138 141.541 62.9231 141.461 62.9231H98.564V73.2308H141.461C141.541 73.2308 141.618 73.24 141.692 73.2576ZM96.564 73.2308V62.9231H53.4358V73.2308H96.564ZM51.4358 73.2308V62.9231H8.53822C8.45886 62.9231 8.38165 62.9138 8.30762 62.8964V73.2575C8.38165 73.24 8.45886 73.2308 8.53822 73.2308H51.4358ZM8.53822 60.9231C8.45886 60.9231 8.38165 60.9323 8.30762 60.9498V50.5887C8.38165 50.6061 8.45886 50.6154 8.53822 50.6154H51.4358V60.9231H8.53822ZM96.564 60.9231H53.4358V50.6154H96.564V60.9231ZM141.461 60.9231H98.564V50.6154H141.461C141.541 50.6154 141.618 50.6061 141.692 50.5886V60.9499C141.618 60.9324 141.541 60.9231 141.461 60.9231ZM141.692 48.6422V38.2809C141.618 38.2984 141.541 38.3077 141.461 38.3077H98.564V48.6154H141.461C141.541 48.6154 141.618 48.6247 141.692 48.6422ZM96.564 48.6154V38.3077H53.4358V48.6154H96.564ZM51.4358 48.6154V38.3077H8.53822C8.45886 38.3077 8.38165 38.2984 8.30762 38.281V48.6421C8.38165 48.6246 8.45886 48.6154 8.53822 48.6154H51.4358ZM8.53822 36.3077C8.45886 36.3077 8.38165 36.3169 8.30762 36.3344V25.9733C8.38165 25.9908 8.45886 26 8.53822 26H51.4358V36.3077H8.53822ZM96.564 36.3077H53.4358V26H96.564V36.3077ZM141.461 36.3077H98.564V26H141.461C141.541 26 141.618 25.9907 141.692 25.9732V36.3345C141.618 36.317 141.541 36.3077 141.461 36.3077Z"
  }
));
var Table_default = Table;
//# sourceMappingURL=Table.js.map
